//
//  GetMoreRatingsScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct GetMoreRatingsScreen: View {

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                // Vous ne recevez pas assez de demandes car vous n’avez pas assez d’avis.
                SQText("Vous n’obtenez pas de réponses positives car vous n’avez pas assez d’avis.", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                RatingStarsView()
                VStack {
                    SQText("À partir de")
                    SQText("4 avis", size: 32, font: .bold)
                        .foregroundStyle(Color.sqGold())
                    SQText("les chances d’être sélectionné augmentent considérablement.")
                        .multilineTextAlignment(.center)
                }
                VStack {
                    SQText("Le saviez-vous ?", font: .demiBold)
                    SQText("Vous pouvez recueillir des avis auprès de vos clients hors AlloVoisins pour faire décoller votre activité.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Recueillir des avis", color: .sqGold(50), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqGold(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    GetMoreRatingsScreen()
}
